test:clang11-mpi-debug:
  image: localhost:5000/ubuntu_jammy_clang11_mpi
  stage: test
  needs: []
  script:
    - mkdir -p build/clang11-debug-mpi
    - cd build/clang11-debug-mpi
    - CXX=clang++-11 CC=clang-11 cmake ../.. -DCMAKE_BUILD_TYPE=Debug
    - make -j 4
    - make check
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang11-debug-mpi"
    paths:
      - build/clang11-debug-mpi
    untracked: true
